/**
 * Tencent is pleased to support the open source community by making CloudBaseFramework - 云原生一体化部署工具 available.
 *
 * Copyright (C) 2020 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * Please refer to license text included with this package for license details.
 */
import { Plugin, PluginServiceApi } from '@cloudbase/framework-core';
import { DenoBuilder } from './builder';
import { IFrameworkPluginDenoInputs } from './types';
declare class DenoPlugin extends Plugin {
    name: string;
    api: PluginServiceApi;
    inputs: IFrameworkPluginDenoInputs;
    protected resolvedInputs: IFrameworkPluginDenoInputs;
    protected buildOutput: any;
    protected denoBuilder: DenoBuilder;
    protected containerPlugin: any;
    constructor(name: string, api: PluginServiceApi, inputs: IFrameworkPluginDenoInputs);
    /**
     * 初始化资源
     */
    init(): Promise<void>;
    /**
     * 生成功能代码
     */
    genCode(): Promise<void>;
    /**
     * 构建资源
     */
    build(): Promise<void>;
    /**
     * 部署资源
     */
    deploy(): Promise<void>;
    /**
     * 将资源编译成 SAM 描述
     */
    compile(): Promise<any>;
    /**
     * 移除资源
     */
    remove(): Promise<void>;
    /**
     * 执行自定义命令
     */
    run(): Promise<void>;
}
export declare const plugin: typeof DenoPlugin;
export {};
//# sourceMappingURL=index.d.ts.map